### Method

# WebKitWebProcessExtension URIResponse get_http_headers

since: 2.6

#### Declaration [src]

    SoupMessageHeaders*
    webkit_uri_response_get_http_headers (
      WebKitURIResponse* response
    )

#### Description [src]

Get the HTTP headers of a `WebKitURIResponse` as a `SoupMessageHeaders`.

Available since: 2.6

Gets property | `WebKitWebProcessExtension.URIResponse:http-headers`

#### Return value

Type: `SoupMessageHeaders`

A `SoupMessageHeaders` with the HTTP headers of `response` or `NULL` if `response` is not an HTTP response.

The returned data is owned by the instance.